Package com.sap.ai.sdk.orchestration.model

# Class GroundingModuleConfigConfig

java.lang.Object
com.sap.ai.sdk.orchestration.model.GroundingModuleConfigConfig

public class GroundingModuleConfigConfig extends Object
GroundingModuleConfigConfig

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `GroundingModuleConfigConfig.Builder`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `GroundingModuleConfigConfig()`
  Default constructor for GroundingModuleConfigConfig.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GroundingModuleConfigConfig`
  `addFiltersItem(GroundingModuleConfigConfigFiltersInner filtersItem)`
  Add one filters instance to this `GroundingModuleConfigConfig`.
  `GroundingModuleConfigConfig`
  `addMetadataParamsItem(String metadataParamsItem)`
  Add one metadataParams instance to this `GroundingModuleConfigConfig`.
  `static GroundingModuleConfigConfig.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `GroundingModuleConfigConfig` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `GroundingModuleConfigConfig`
  `filters(List<GroundingModuleConfigConfigFiltersInner> filters)`
  Set the filters of this `GroundingModuleConfigConfig` instance and return the same instance.
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `GroundingModuleConfigConfig`.
  `List<GroundingModuleConfigConfigFiltersInner>`
  `getFilters()`
  Document grounding service filters to be used
  `List<String>`
  `getMetadataParams()`
  Parameter name used for specifying metadata parameters
  `GroundingModuleConfigConfigPlaceholders`
  `getPlaceholders()`
  Get placeholders
  `int`
  `hashCode()`
  `GroundingModuleConfigConfig`
  `metadataParams(List<String> metadataParams)`
  Set the metadataParams of this `GroundingModuleConfigConfig` instance and return the same instance.
  `GroundingModuleConfigConfig`
  `placeholders(GroundingModuleConfigConfigPlaceholders placeholders)`
  Set the placeholders of this `GroundingModuleConfigConfig` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `GroundingModuleConfigConfig` instance.
  `void`
  `setFilters(List<GroundingModuleConfigConfigFiltersInner> filters)`
  Set the filters of this `GroundingModuleConfigConfig` instance.
  `void`
  `setMetadataParams(List<String> metadataParams)`
  Set the metadataParams of this `GroundingModuleConfigConfig` instance.
  `void`
  `setPlaceholders(GroundingModuleConfigConfigPlaceholders placeholders)`
  Set the placeholders of this `GroundingModuleConfigConfig` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `GroundingModuleConfigConfig` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GroundingModuleConfigConfig

    protected GroundingModuleConfigConfig()
    Default constructor for GroundingModuleConfigConfig.

- ## Method Details

  - ### filters

    @Nonnull public GroundingModuleConfigConfig filters(@Nullable List<GroundingModuleConfigConfigFiltersInner> filters)
    Set the filters of this `GroundingModuleConfigConfig` instance and return the same instance.
    Parameters:
      `filters` - Document grounding service filters to be used
    Returns:
      The same instance of this `GroundingModuleConfigConfig` class

  - ### addFiltersItem

    @Nonnull public GroundingModuleConfigConfig addFiltersItem(@Nonnull GroundingModuleConfigConfigFiltersInner filtersItem)
    Add one filters instance to this `GroundingModuleConfigConfig`.
    Parameters:
      `filtersItem` - The filters that should be added
    Returns:
      The same instance of type `GroundingModuleConfigConfig`

  - ### getFilters

    @Nonnull public List<GroundingModuleConfigConfigFiltersInner> getFilters()
    Document grounding service filters to be used
    Returns:
      filters The filters of this `GroundingModuleConfigConfig` instance.

  - ### setFilters

    public void setFilters(@Nullable List<GroundingModuleConfigConfigFiltersInner> filters)
    Set the filters of this `GroundingModuleConfigConfig` instance.
    Parameters:
      `filters` - Document grounding service filters to be used

  - ### placeholders

    @Nonnull public GroundingModuleConfigConfig placeholders(@Nonnull GroundingModuleConfigConfigPlaceholders placeholders)
    Set the placeholders of this `GroundingModuleConfigConfig` instance and return the same instance.
    Parameters:
      `placeholders` - The placeholders of this `GroundingModuleConfigConfig`
    Returns:
      The same instance of this `GroundingModuleConfigConfig` class

  - ### getPlaceholders

    @Nonnull public GroundingModuleConfigConfigPlaceholders getPlaceholders()
    Get placeholders
    Returns:
      placeholders The placeholders of this `GroundingModuleConfigConfig` instance.

  - ### setPlaceholders

    public void setPlaceholders(@Nonnull GroundingModuleConfigConfigPlaceholders placeholders)
    Set the placeholders of this `GroundingModuleConfigConfig` instance.
    Parameters:
      `placeholders` - The placeholders of this `GroundingModuleConfigConfig`

  - ### metadataParams

    @Nonnull public GroundingModuleConfigConfig metadataParams(@Nullable List<String> metadataParams)
    Set the metadataParams of this `GroundingModuleConfigConfig` instance and return the same instance.
    Parameters:
      `metadataParams` - Parameter name used for specifying metadata parameters
    Returns:
      The same instance of this `GroundingModuleConfigConfig` class

  - ### addMetadataParamsItem

    @Nonnull public GroundingModuleConfigConfig addMetadataParamsItem(@Nonnull String metadataParamsItem)
    Add one metadataParams instance to this `GroundingModuleConfigConfig`.
    Parameters:
      `metadataParamsItem` - The metadataParams that should be added
    Returns:
      The same instance of type `GroundingModuleConfigConfig`

  - ### getMetadataParams

    @Nonnull public List<String> getMetadataParams()
    Parameter name used for specifying metadata parameters
    Returns:
      metadataParams The metadataParams of this `GroundingModuleConfigConfig` instance.

  - ### setMetadataParams

    public void setMetadataParams(@Nullable List<String> metadataParams)
    Set the metadataParams of this `GroundingModuleConfigConfig` instance.
    Parameters:
      `metadataParams` - Parameter name used for specifying metadata parameters

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `GroundingModuleConfigConfig`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `GroundingModuleConfigConfig` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `GroundingModuleConfigConfig` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `GroundingModuleConfigConfig` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static GroundingModuleConfigConfig.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `GroundingModuleConfigConfig` instance with all required arguments.